Name:           python-sphinx-autodoc-typehints
Version:        1.2.3
Release:        1%{?dist}
Summary:        Type hints support for the Sphinx autodoc extension

License:        MIT
URL:            https://github.com/agronholm/sphinx-autodoc-typehints
Source0:        https://github.com/agronholm/sphinx-autodoc-typehints/archive/%{version}.tar.gz

BuildArch:      noarch


%description
This extension allows you to use Python 3 annotations for documenting
acceptable argument types and return value types of functions.


%package -n     python3-sphinx-autodoc-typehints
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
Requires:       python3-sphinx
%{?python_provide:%python_provide python3-sphinx-autodoc-typehints}


%description -n python3-sphinx-autodoc-typehints
This extension allows you to use Python 3 annotations for documenting
acceptable argument types and return value types of functions.


%prep
%autosetup -n sphinx-autodoc-typehints-%{version}
rm -Rf requirements.txt test-requirements.txt *.egg-info


%build
export LC_CTYPE="en_US.UTF-8"
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%py3_build


%install
export LC_CTYPE="en_US.UTF-8"
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%py3_install


%files -n python3-sphinx-autodoc-typehints
%{python3_sitelib}/__pycache__/sphinx_autodoc_typehints*
%{python3_sitelib}/sphinx_autodoc_typehints*


%changelog
* Fri Dec 29 2017 Tristan Cacqueray <tdecacqu@redhat.com> - 1.2.3-1
- Initial packaging
